<template>
  <h1>Text</h1>

  <p>Note: the examples are applied on a <code>&lt;div&gt;</code> element.</p>

  <section v-for="(klasses, section) in classes" :key="section">
    <h2>{{ section }}</h2>
    <div v-for="klass in klasses" :key="klass" :class="klass" class="-doc-outline -mbl">{{ klass }}</div>
  </section>
</template>

<script>
const classes = {
  Colors: [
    '-text--mute',
    '-text--danger',
    '-text--error',
    '-text--destructive',
    '-text--helping',
    '-text--creative',
    '-text--done',
    '-text--success',
    '-text--recording',
    '-text--warning',
    '-text--canceling',
  ],
  Alignment: [
    '-text--center',
    '-text--left',
    '-text--right',
  ],
  Size: [
    '-text--smaller',
    '-text--small',
    '-text--default-size',
    '-text--medium',
    '-text--large',
  ],
  'Font family': [
    '-text--monospace',
  ],
  Other: [
    '-text--italic',
    '-text--ellipsis',
    '-text--ok',
    '-text--bad',
  ],
}

export default {
  name: 'TextView',
  data () {
    return {
      classes,
    }
  },
  created () {
    this.$setTitle('Text')
  },
}
</script>
